Patch Metering Policy Assignment

Patch Metering Policy Assignment
Updates the pricing card assignment id with the supplied id. Request body with ALL entityType will delete the older assignments for the given pricingCardId

Updates the pricing card assignment id with the supplied id. Request body with ALL entityType will delete the older assignments for the given pricingCardId

Request
URI
PATCH
https://{vcfa-fqdn}/price/api/private/pricing-card-assignments/{id}
COPY
Path Parameters
string
id
Required  

pricing card Assignment Id


Request Body
MeteringPolicyAssignment of type(s) application/json
Required  

Show optional properties

{
    "pricingCardId": "string"
}
{
    "createdAt": "string",
    "entityId": "string",
    "entityName": "string",
    "entityType": "string",
    "id": "string",
    "lastUpdatedAt": "string",
    "orgId": "string",
    "pricingCardId": "string",
    "pricingCardName": "string"
}
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MeteringPolicyAssignment of type(s) application/json
{
    "createdAt": "string",
    "entityId": "string",
    "entityName": "string",
    "entityType": "string",
    "id": "string",
    "lastUpdatedAt": "string",
    "orgId": "string",
    "pricingCardId": "string",
    "pricingCardName": "string"
}
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name


401

Unauthorized

Returns MeteringPolicyAssignment of type(s) application/json
"MeteringPolicyAssignment Object"
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"pricingCardId":"string"}'